| Home | Libraries | People | FAQ | More

##### visit (2 of 2 overloads)

Invoke a function object with the contents of a `value`.

###### Synopsis

Defined in header `<boost/json/visit.hpp>`

    template<
        class Visitor>
    auto
    visit(
        Visitor&& v,
        value const& jv);

###### Return Value

The value returned by Visitor.

###### Parameters

Name | Description
--- | ---
`v` | The visitation function to invoke
`jv` | The value to visit.

Convenience header `<boost/json.hpp>`